org.springframework.core

## Class ParameterizedTypeReference<T>

- java.lang.Object
- - org.springframework.core.ParameterizedTypeReference<T>

    public abstract class ParameterizedTypeReference<T>
    extends Object

The purpose of this class is to enable capturing and passing a generic `Type`. In order to capture the generic type and retain it at runtime, you need to create a sub-class as follows:

     ParameterizedTypeReference<List<String>> typeRef = new ParameterizedTypeReference<List<String>>() {};

The resulting `typeReference` instance can then be used to obtain a `Type` instance that carries parameterized type information. For more information on "super type tokens" see the link to Neal Gafter's blog post.

Since:
  3.2
Author:
  Arjen Poutsma, Rossen Stoyanchev
See Also:
  Neal Gafter on Super Type Tokens

### Constructor Summary

Constructors
`protected` `ParameterizedTypeReference()`

### Method Summary

Methods
`boolean` `equals(Object o)`
`Type` `getType()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ParameterizedTypeReference

    protected ParameterizedTypeReference()

### Method Detail

#### getType

    public Type getType()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`